package com.cloudcross.ssp.model;

import java.util.Date;

/**
 * 创意模板表
 * @author chenyou
 *
 */
public class BannerTemplate {
	//主键id
	private Long id;
	//代理商id
	private Long agentId;
	//广告主id
	private Long advertiserId;
	//模板名称
	private String name;
	//上传文件路径
	private String path;
	//缩略图路径
	private String pathSmall;
	//创意类型
	private Integer type;
	//创意宽度
	private Long width;
	//创意高度
	private Long height;
	//状态
	private Integer status;
	//上传时间
	private Date updated;
	//创建banner对象
	AuditBanner banner;
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getAgentId() {
		return agentId;
	}
	public void setAgentId(Long agentId) {
		this.agentId = agentId;
	}
	public Long getAdvertiserId() {
		return advertiserId;
	}
	public void setAdvertiserId(Long advertiserId) {
		this.advertiserId = advertiserId;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getPath() {
		return path;
	}
	public void setPath(String path) {
		this.path = path;
	}
	public String getPathSmall() {
		return pathSmall;
	}
	public void setPathSmall(String pathSmall) {
		this.pathSmall = pathSmall;
	}
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	public Long getWidth() {
		return width;
	}
	public void setWidth(Long width) {
		this.width = width;
	}
	public Long getHeight() {
		return height;
	}
	public void setHeight(Long height) {
		this.height = height;
	}
	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public Date getUpdated() {
		return updated;
	}
	public void setUpdated(Date updated) {
		this.updated = updated;
	}
	
	public AuditBanner getBanner() {
		return banner;
	}
	public void setBanner(AuditBanner banner) {
		this.banner = banner;
	}
	@Override
	public String toString() {
		return "BannerTemplate [id=" + id + ", agentId=" + agentId
				+ ", advertiserId=" + advertiserId + ", name=" + name
				+ ", path=" + path + ", pathSmall=" + pathSmall + ", type="
				+ type + ", width=" + width + ", height=" + height
				+ ", status=" + status + ", updated=" + updated + ", banner="
				+ banner + "]";
	}
	
}
